Skip to main content
PATCH
/
v1
/
customers
/
{id}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Update customer details
const customer = await solifyn.customers.update('cust_019e56a1...', {
  name: 'Jane Smith',
  metadata: { loyaltyTier: 'VIP' }
});
console.log('Customer Updated:', customer);
{
  "message": "Customer updated successfully"
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

Customer ID

Example:

"user_123"

Body

application/json
name
string

The customer friendly full name

Maximum string length: 100
Example:

"John Doe"

phone
string

The customer telephone/phone number

Maximum string length: 30
Example:

"+1234567890"

username
string

The username of the customer (e.g. Discord, Whop)

Maximum string length: 100
Example:

"johndoe"

metadata
object

Custom key-value metadata associated with the customer

Example:
{ "customKey": "customValue" }

Response

200 - application/json

Customer updated successfully.

message
string
required

Response message indicating the outcome of the action.

Example:

"Customer updated successfully"